Subject: bug#24456: 25.1; [PATCH] Caps-lock doesn't affect interpretation of key chords

From: Dima Kogan <[email-masked]>
Date: Sun, 18 Sep 2016 22:22:09 -0700

Eli Zaretskii <[email-masked]> writes:

>> If you're talking about characters used in non-English languages, then I
>> really have no idea what the current behavior is, or how to test it. I'm
>> hoping one of yall who actually use these languages will tell me.
>
> I don't understand what you mean by that.  The effect of Caps Lock on
> non-ASCII letters is clear: to produce the upper-case variant of the
> letter.
>
> My point is that treating ASCII letters differently from non-ASCII in
> this regard should not be taken lightly.  We should at least discuss
> whether the results are acceptable.

I just meant that as someone who uses English almost exclusively, I
don't ordinarily encounter wide chars and unicode, and I don't know how
they apply here. The hope was that somebody who IS familiar with
non-English keyboards would point out the shortcomings, and would know
how to address them. Eli, do you know how caps-lock works on foreign
keyboards?